module FuelPricesEurope

  class Configuration

    # Configure a cache to be used. Leave nil if no cache should be used.
    attr_accessor :cache

    # If you are using the cache you can set a custom prefix for cache keys.
    # Default value: fuel-prices-europe_data
    attr_accessor :cache_key

    # Duration of how long data should be cached. Example: 24.hours
    attr_accessor :cache_expires_in

    def initialize
      @cache = nil
      @cache_key = 'fuel-prices-europe_data'
      @cache_expires_in = 86400
    end

  end
end